import Foundation
import UIKit
import DigiXLite

class ViewController: UIViewController, ConnectDelegate {
    func onSuccess(userId: String) {
        print("SUCCESS \(userId)")
    }
    
    func onFailed(error: String) {
        print("FAILED")
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
        //FLOATING
        APIS.connect(apiKey: "***REPLACE***WITH***YOUR***ACCOUNT***", delegate: self, showButton: false)
        
        let childrenMenu : [UIAction] = [
            //FEATURES
        ]
        self.navigationController?.navigationBar.backgroundColor = .mainColor
        
        let menu = UIMenu(title: "", children: childrenMenu)
        self.navigationItem.rightBarButtonItem = UIBarButtonItem(title: nil, image: UIImage(systemName: "ellipsis"), primaryAction: .none, menu: menu)
        self.navigationItem.rightBarButtonItem?.tintColor = .white
        
        
    }


}

